Bug 1125000 - [abrt] libreoffice-core: EditView::GetFieldUnderMousePointer(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: EditView::GetFieldUnderMousePointer(): soffice.bin k...
Keywords:
Status: CLOSED DUPLICATE of bug 1165444
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0926a270b37c3a07ba005be10e8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 19:41 UTC by Sergio Monteiro Basto
Modified: 2014-11-19 16:43 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-01 16:18:00 UTC


Attachments (Terms of Use)
File: backtrace (51.25 KB, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: cgroup (179 bytes, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: core_backtrace (20.29 KB, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: dso_list (24.42 KB, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: environ (3.59 KB, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: maps (119.35 KB, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: open_fds (797 bytes, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details
File: var_log_messages (369 bytes, text/plain)
2014-07-30 19:41 UTC, Sergio Monteiro Basto
no flags Details

Description Sergio Monteiro Basto 2014-07-30 19:41:29 UTC
Version-Release number of selected component:
libreoffice-core-4.2.5.2-10.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///var/tmp/paises_south_america.xlsx --splash-pipe=5
crash_function: EditView::GetFieldUnderMousePointer
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 EditView::GetFieldUnderMousePointer at /usr/src/debug/libreoffice-4.2.5.2/editeng/source/editeng/editview.cxx:1194
 #2 ScGridWindow::GetEditUrl at /usr/src/debug/libreoffice-4.2.5.2/sc/source/ui/view/gridwin.cxx:5228
 #3 ScGridWindow::MouseMove at /usr/src/debug/libreoffice-4.2.5.2/sc/source/ui/view/gridwin.cxx:2636
 #4 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/winproc.cxx:766
 #5 ImplHandleSalMouseMove at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/winproc.cxx:2036
 #6 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/winproc.cxx:2401
 #7 CallCallback at /usr/src/debug/libreoffice-4.2.5.2/vcl/inc/salframe.hxx:243
 #8 GtkSalFrame::signalMotion at /usr/src/debug/libreoffice-4.2.5.2/vcl/unx/gtk/window/gtksalframe.cxx:3301
 #9 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #14 gtk_widget_event_internal at gtkwidget.c:5017

Comment 1 Sergio Monteiro Basto 2014-07-30 19:41:33 UTC
Created attachment 922713 [details]
File: backtrace

Comment 2 Sergio Monteiro Basto 2014-07-30 19:41:34 UTC
Created attachment 922714 [details]
File: cgroup

Comment 3 Sergio Monteiro Basto 2014-07-30 19:41:36 UTC
Created attachment 922715 [details]
File: core_backtrace

Comment 4 Sergio Monteiro Basto 2014-07-30 19:41:37 UTC
Created attachment 922716 [details]
File: dso_list

Comment 5 Sergio Monteiro Basto 2014-07-30 19:41:39 UTC
Created attachment 922717 [details]
File: environ

Comment 6 Sergio Monteiro Basto 2014-07-30 19:41:40 UTC
Created attachment 922718 [details]
File: exploitable

Comment 7 Sergio Monteiro Basto 2014-07-30 19:41:41 UTC
Created attachment 922719 [details]
File: limits

Comment 8 Sergio Monteiro Basto 2014-07-30 19:41:43 UTC
Created attachment 922720 [details]
File: maps

Comment 9 Sergio Monteiro Basto 2014-07-30 19:41:44 UTC
Created attachment 922721 [details]
File: open_fds

Comment 10 Sergio Monteiro Basto 2014-07-30 19:41:45 UTC
Created attachment 922722 [details]
File: proc_pid_status

Comment 11 Sergio Monteiro Basto 2014-07-30 19:41:46 UTC
Created attachment 922723 [details]
File: var_log_messages

Comment 12 David Tardon 2014-08-01 12:14:43 UTC
Is the crash reproducible?

Comment 13 Sergio Monteiro Basto 2014-08-01 16:14:22 UTC
I can't reproduce , seems cursor mouse that get lost ...  also doesn't use libreoffice much to see if it easy to reproduce or if it is frequently

Comment 14 Caolan McNamara 2014-08-15 09:11:59 UTC

*** This bug has been marked as a duplicate of bug 1129778 ***

Comment 15 Caolan McNamara 2014-11-19 16:43:33 UTC

*** This bug has been marked as a duplicate of bug 1165444 ***


Note You need to log in before you can comment on or make changes to this bug.